For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
              • GETList Pickup Methods
              • POSTCreate Pickup Methods
              • PUTUpdate Pickup Methods
              • DELDelete Pickup Methods
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPickupPickup Methods

List Pickup Methods

GET
https://api.bigcommerce.com/stores/:store_hash/v3/pickup/methods
GET
/stores/:store_hash/v3/pickup/methods
$curl -G https://api.bigcommerce.com/stores/store_hash/v3/pickup/methods \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> --data-urlencode date_created=2023-09-07T06:23:13Z \
> --data-urlencode date_created:min=2023-09-07T06:23:13Z \
> --data-urlencode date_created:max=2023-09-07T06:23:13Z \
> --data-urlencode date_modified=2023-09-07T06:23:13Z \
> --data-urlencode date_modified:min=2023-09-07T06:23:13Z \
> --data-urlencode date_modified:max=2023-09-07T06:23:13Z
200Retrieved
1{
2 "data": [
3 {
4 "id": 1,
5 "location_id": 2,
6 "display_name": "Office Pickup!",
7 "collection_instructions": "Bring your ID!",
8 "collection_time_description": "Collect during our opening hours of 0900 - 1700",
9 "date_created": "2023-06-06T00:00:20Z",
10 "date_modified": "2023-06-08T00:00:20Z",
11 "location_identity": 2
12 }
13 ],
14 "meta": {
15 "pagination": {
16 "total": 123,
17 "count": 100,
18 "per_page": 100,
19 "current_page": 1,
20 "total_pages": 2,
21 "links": {
22 "previous": "string",
23 "current": "string",
24 "next": "string"
25 }
26 }
27 }
28}
Retrieves a list of pickup methods. ## Examples You can filter this list to return pickup method objects specific to a list of requested pickup method IDs. This is achieved by appending the query string `?id:in=1,3,5` to the resource `/pickup/methods`. ```http GET /pickup/methods?id:in=1,3,5 ```
Was this page helpful?
Previous

Delete Pickups

Next

Create Pickup Methods

Built with

Retrieves a list of pickup methods.

Examples

You can filter this list to return pickup method objects specific to a list of requested pickup method IDs. This is achieved by appending the query string ?id:in=1,3,5 to the resource /pickup/methods.

1GET /pickup/methods?id:in=1,3,5

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Fulfillment | read-only | `store_order_fulfillment_read_only` | | Order Fulfillment | modify | `store_order_fulfillment_manage` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts). For more about BigCommerce OAuth scopes, see [API Accounts and OAuth Scopes](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

id:inlongOptional
Comma separated list of pickup method IDs.
limitlongOptional
Maximum number of results per page.
pagelongOptional
The number of the page to be fetched.
date_createddatetimeOptional

Filter pickup methods by the date created. Return methods created on the provided date.

For example, date_created=2023-09-07T06:23:13Z.

date_created:mindatetimeOptional

Filter pickup methods by minimum date created. Return methods created after the provided date.

For example, date_created:min=2023-09-07T06:23:13Z.

date_created:maxdatetimeOptional

Filter pickup methods by maximum date created. Return methods created before the provided date.

For example, date_created:max=2023-09-07T06:23:13Z.

date_modifieddatetimeOptional

Filter pickup methods by date modified. Return methods modified on the provided date.

For example, date_modified=2023-09-07T06:23:13Z.

date_modified:mindatetimeOptional

Filter pickup methods by minimum date modified. Return methods modified after the provided date.

For example, date_modified:min=2023-09-07T06:23:13Z.

date_modified:maxdatetimeOptional

Filter pickup methods by maximum date modified. Return methods modified before the provided date.

For example, date_modified:max=2023-09-07T06:23:13Z.

sortenumOptional
Sort pickup methods by date_modified:* or name:* ; for example, `sort=name:asc`. - `date_modified:asc` - sort by date modified in ascending order - `date_modified:desc` - sort by date modified in descending order - `name:asc` - sort by name in ascending order - `name:desc` - sort by name in descending order
Allowed values:

Response

The request has been processed and a list of pickup methods has been returned successfully.
datalist of objects
metaobject

OAuth scopes

UI NamePermissionParameter
Order Fulfillmentread-onlystore_order_fulfillment_read_only
Order Fulfillmentmodifystore_order_fulfillment_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see API Accounts and OAuth Scopes.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.

Sort pickup methods by date_modified:* or name:* ; for example, sort=name:asc.

  • date_modified:asc - sort by date modified in ascending order
  • date_modified:desc - sort by date modified in descending order
  • name:asc - sort by name in ascending order
  • name:desc - sort by name in descending order